Position cursor on the next Attribute

- « XMLReader::moveToFirstAttribute

- XMLReader::next »

- PHP Manual
- XMLReader
- Position cursor on the next Attribute

# XMLReader::moveToNextAttribute

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::moveToNextAttribute — Position cursor on the next Attribute

### Description

public XMLReader::moveToNextAttribute(): bool

Moves cursor to the next Attribute if positioned on an Attribute or moves to first attribute if positioned on an Element.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- XMLReader::moveToElement() - Position cursor on the parent Element of current Attribute
- XMLReader::moveToAttribute() - Move cursor to a named attribute
- XMLReader::moveToAttributeNo() - Move cursor to an attribute by index
- XMLReader::moveToAttributeNs() - Move cursor to a named attribute
- XMLReader::moveToFirstAttribute() - Position cursor on the first Attribute